import java.util.*;

public class MapTest {

	public static void main(String[] args) {
		
		Map<String, Integer> myMap = new HashMap<String, Integer>();
		
		myMap.put("one", 1);
		myMap.put("two", 2);
		myMap.put("three", 3);
		myMap.put("four", 4);
		myMap.put("five", 5);
		
		Set<String> keys = myMap.keySet();
		
		for(String k : keys) {
			System.out.println(k);
		}
		
		Collection<Integer> values = myMap.values();
		
		for(Integer v : values) {
			System.out.println(v);
		}
		
		Set<String> keys2 = myMap.keySet();
		for(String key: keys2){
		    System.out.println("Value of " + key + " is: " + myMap.get(key));
		}
		
		for(Map.Entry<String, Integer> pair : myMap.entrySet()) {
			System.out.print(pair.getKey() + ": " + pair.getValue() + "\n");
		}
	}
}
